package com.zjrs.appcomm.validation;

import jakarta.validation.Constraint;
import java.lang.annotation.*;

/**
 * @author Pettyfer
 */
@Constraint(validatedBy = TelPhoneValidator.class)
@Documented
@Target({ElementType.PARAMETER,ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
public @interface TelPhone {

    String message() default "联系电话格式错误";
    Class[] groups() default {};
    Class[] payload() default {};

}
